
//Class cVaxMainHtml

var m_objAccountSIP = null;
var m_objPhoneCall = null;

var m_objDigitTone = null;
var m_objPhoneTone = null;

var m_objPhoneTransfer = null;
var m_objBusyLamp = null;

var m_objChat = null;
var m_objSetting = null;

function cVaxMainHtml() 
{
    m_objAccountSIP = new cVaxAccountSIP();
    m_objPhoneCall = new cVaxPhoneCall();
    
    m_objPhoneTone = new cVaxPhoneTone();
    m_objDigitTone = new cVaxDigitTone();

    m_objPhoneTransfer = new cVaxPhoneTransfer();
    m_objBusyLamp = new cVaxBusyLamp();

    m_objChat = new cVaxChat();
    m_objSetting = new cVaxSetting();
            
    this.OnLoadPage = function ()
    {
        m_objSetting.OnLoadPage();
        
        m_objAccountSIP.OnLoadPage();
        m_objPhoneCall.OnLoadPage();
        
        m_objPhoneTone.OnLoadPage();
        m_objDigitTone.OnLoadPage();

        m_objPhoneTransfer.OnLoadPage();
        m_objBusyLamp.OnLoadPage();

        m_objChat.OnLoadPage();
                
        m_objVaxWebPhoneLib.SetEventMainSIP(OnInitialized, OnUnInitialized, null, null, null, null);
    }

    //////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////

    function OnInitialized()
    {
    
    }

    function OnUnInitialized()
    {
    
    }

    //////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////

    this.AddPhoneStatusLog = function (sText)
    {
        if (ListPhoneLog.value.length == 0)
            ListPhoneLog.value = ListPhoneLog.value + sText;
        else
            ListPhoneLog.value = ListPhoneLog.value + "\n" + sText;

        ListPhoneLog.scrollTop = ListPhoneLog.scrollHeight;
    }

    this.ClearPhoneStatusLog = function ()
    {
        ListPhoneLog.value = "";
    }

    //////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////

    this.GetBtnCallText = function ()
    {
        return BtnDialCall.value;
    }

    this.SetBtnCallText = function (sText)
    {
        BtnDialCall.value = sText;
    }

    //////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////

    this.GetBtnHoldText = function ()
    {
        return BtnHoldCall.value;
    }

    this.SetBtnHoldText = function (sText)
    {
        BtnHoldCall.value = sText;
    }

};
  

